### Function

# RB uri_make_hidden

#### Declaration [src]

    char*
    rb_uri_make_hidden (
      const char* uri
    )

#### Description [src]

Constructs a URI that is similar to `uri` but which identifies a hidden file. This can be used for temporary files that should not be visible to the user while they are in use.

#### Parameters

`uri`

  Type: `const char*`

  A URI to construct a hidden version of.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

Hidden URI, must be freed by the caller.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.